Skip to main content
GET
/
v1
/
contracts
/
{contractId}
/
events
Get contract events
curl --request GET \
  --url https://api.modo.link/canton-mainnet/v1/contracts/{contractId}/events \
  --header 'x-api-key: <api-key>'
{
  "content": [
    {
      "eventId": "<string>",
      "updateId": "<string>",
      "effectiveAt": 123,
      "recordTime": 123,
      "migrationId": 123,
      "createdEvents": 123,
      "synchronizer": "<string>",
      "synchronizerName": "<string>",
      "synchronizerImg": "<string>"
    }
  ],
  "hasNextPage": true,
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

contractId
string
required

Contract ID

Query Parameters

sortBy
enum<string>
default:AGE
required

Sorting parameter.

Available options:
AGE
size
integer<int32>
default:20
required

Number of queried entries.

Required range: 1 <= x <= 100
orderBy
enum<string>
default:DESC
required

Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).

Available options:
ASC,
DESC
nextCursor
string

Cursor for pagination to retrieve the next page of results. Leave empty for the first page.

Response

200 - */*

OK

content
object[]
hasNextPage
boolean
nextCursor
string